1. Assistants
  2. Get Assistant
GET
/assistants/{assistant_id}
curl --request GET \
     --url https://app.backboard.io/api/assistants/{assistant_id} \
     --header 'X-API-Key: <api-key>' \
     --header 'authorization: <authorization>' \
     --header 'x_session_token: <x_session_token>'

Retrieve a specific assistant by its UUID.

​
Authorizations

X-API-Key
required
string
API Key authentication

​
Query Parameters

assistant_id
required
string
authorization
x_session_token

​
Response

application/json
  • 200

  • 422

Successful Response

name
required
string

Name of the assistant

Required string length: 1 - 255
assistant_id
required
string

Assistant Id

created_at
required
string

Created At

system_prompt
string | null

Optional system prompt (alias for description)

tools
array | null

List of tools available to the assistant

tok_k
integer

Document search top_k for the internal search_documents tool (default 10).

Required range: 1 <= x <= 100
embedding_provider
string | null

Embedding provider (openai, google, cohere, etc.)

embedding_model_name
string | null

Embedding model name (e.g., text-embedding-3-large, text-embedding-004)

embedding_dims
integer | null

Embedding dimensions (e.g., 1024 for Cohere, 3072 for OpenAI text-embedding-3-large)

custom_fact_extraction_prompt
string | null

Custom prompt for fact extraction from conversations. If not set, the default prompt is used.

custom_update_memory_prompt
string | null

Custom prompt for memory update decisions (add/update/delete). If not set, the default prompt is used.